<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/*************************** Version 20180717 *****************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="WPC Day 1-3 Surface Low Tracks"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr(' WPC Day 1-3 Surface Low Tracks');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'WPC Day 1-3 Surface Low Tracks';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
$SStart = date('z',mktime(0,0,0,9,15,0));	// Start of Winter Prediction Season
$SEnd = date('z',mktime(0,0,0,5,1,0));	// End of Winter Prediction Season
#echo '$SStart = '.$SStart.', $SEnd = '.$SEnd.', and (date\'z\') is '.date('z').'<br/>';  // Debug Code
?>
<style type="text/css">
div.center {
width:100%;
margin-left: auto;
margin-right: auto;
}
iframe.center {
width:100%;
margin-left: auto;
margin-right: auto;
}
img.center {
width:100%;
margin-left: auto;
margin-right: auto;
}
</style>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
############################################################################
$divWidth = 680; // Default Div Width
$maxWidth = 800; // Maximum Width
$aspect = .75; // Image Aspect Ratio
if ((isset($_SESSION['CSSwidescreen'])&& $_SESSION['CSSwidescreen']==1)||$standAlone) {
	$divWidth = $maxWidth;
}
$imageWidth = $divWidth-16; // Image Width
$iframeWidth = $divWidth-12; // Iframe Width
$imageMargin = 6; // Image Margin
$autoUpdate = true;  // true if we to have the animation autoupdate
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : ($divWidth))?>px; border:inset; padding:0px">
<?php } else { ?>
	<div id="main-copy" style="width:100%">
<?php }	?>

<?php if (date('z')>$SStart || date('z')<$SEnd) { ?>
	<h2 align="center">WPC Day 1-3 Surface Low Tracks</h2>
<?php }?>
<div style="width:<?php echo $divWidth?>px; padding:0px" class="center">
<?php if (date('z')>$SStart || date('z')<$SEnd) { ?>
  <hr/>
<?php } ?>
<h3 align="center">WPC Surface Chart Past Six Hour Loop<br/></h3>
<iframe src="wxna6hsaloop-hanis-iframe.php?iframeWidth=<?php echo $iframeWidth?>&amp;imageWidth=<?php echo $imageWidth?>&amp;autoUpdate=<?php echo $autoUpdate?>" scrolling="no" width="<?php echo $iframeWidth?>" height="<?php echo($iframeWidth*$aspect)+($autoUpdate?80:55)?>" frameborder="0" class="center">
</iframe>
<br/>
<div style="font-size:10px; text-align:center;line-height:130%">Images Courtesy of NOAA NWS <a href="https://www.wpc.ncep.noaa.gov/index.shtml" target="_blank" title="Opens in New Tab">Weather Prediction Center</a>.&nbsp;-&nbsp;Animation by <a href="https://www.ssec.wisc.edu/hanis/index.html" target="_blank" title="New Tab">HAniS</a> &copy;2014-<?php echo date("Y")?> by Tom Whittaker<br/>
<?php echo !$standAlone?'<span style="font-size:12px; line-height:150%"><a href="wx3dsurfacelows-SA.php" target="_blank" title="Larger Maps in New Tab">Full-Size Maps</a> in New Tab</span>':'';?>
</div>
<hr/>
</div>
<?php if (date('z')<$SStart && date('z')>$SEnd) { 
	echo '<h3 align="center"><span style="color:#FF0033"><br/>Winter Prediction Season is from September 15 through May 1</span></h3><br/>';
} else { ?>

    <h3 align="center">WPC Projected Winter Surface Low Tracks - 75% Probability Circles<br/></h3>
    <div style="width:<?php echo $divWidth?>px" class="center">
	  <?php if (date('z')<$SStart && date('z')>$SEnd) { 
           echo '<h2 align="center"><span style="color:#FF0033"><br/>Available Only From September 15 Through May 15</span></h2><br/>';
        } else { ?>
            <img src="https://www.wpc.ncep.noaa.gov/wwd/lowtrack_circles.gif" alt="WPC Projected Surface Low Tracks - 75% Probability Circles" style="width:<?php echo $divWidth-$imageMargin?>px; height:<?php echo (($divWidth-$imageMargin)*$aspect)?>px; border:inset"/>
        <?php }?>
    <br/>&nbsp;<hr/>
    </div>
    <h3 align="center">WPC Projected Winter Surface Low Tracks - Clusters<br/></h3>
    <div style="width:<?php echo $divWidth?>px" class="center">
		<?php if (date('z')<$SStart && date('z')>$SEnd) {
            echo '<h2 align="center"><span style="color:#FF0033"><br/>Available Only From September 15 Through May 15</span></h2><br/>';
        } else { ?>
        <img src="https://www.wpc.ncep.noaa.gov/lowtracks/lowtrack_ensembles.gif" alt="WPC Projected Surface Low Tracks - Clusters" style="width:<?php echo $divWidth-$imageMargin?>px; height:<?php echo (($divWidth-$imageMargin)*$aspect)?>px; border:inset"/>
        <?php }?>
    <br/>&nbsp;<hr/>
    </div>
<?php  } ?>
    <div style="text-align:center; font-size:10px"><?php if (date('z')<$SStart || date('z')>$SEnd) { ?>Images courtesy of the <a href="https://www.wpc.ncep.noaa.gov/" target="_blank">Weather Prediction Center</a>&nbsp;-&nbsp;(WPC Winter Weather <a href="https://www.wpc.ncep.noaa.gov/wwd/about.shtml" target="_blank">Guidance</a>)&nbsp;-&nbsp;
		<?php } ?>Scripts by <a href="https://www.gwwilkins.org" target="_blank" title="Opens in New Tab">SE Lincoln Weather</a><br/>
<?php echo !$standAlone?'<span style="font-size:12px; line-height:150%"><a href="wx3dsurfacelows-SA.php" target="_blank" title="Larger Maps in New Tab">Full-Size Maps</a> in New Tab</span>':'';?>

    </div>
</div><!-- end main-copy -->

<?php
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################## End of Page #################################
?>